<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	
	<xsl:param name="files" select=""/>
	
	<xsl:template match="includes">
		<xsl:call-template name="tokenize">
			<xsl:with-param name="input" select="$files"/>
			<xsl:with-param name="token" select="';'"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="tokenize">
		<xsl:param name="input"/>
		
		<xsl:variable name="curr"><xsl:value-of select="substring-before($input, ';')"/></xsl:variable>
		<xsl:variable name="next"><xsl:value-of select="substring-after($input, ';')"/></xsl:variable>
		
		<xsl:if test="string-length($curr) &gt; 0">
			<xsl:element name="xsl:include">
				<xsl:attribute name="href">
					<xsl:value-of select="$curr"/>
				</xsl:attribute>
			</xsl:element>
		</xsl:if>
		
		<xsl:choose>
			<xsl:when test="contains($next, ';')">
				<xsl:call-template name="tokenize">
					<xsl:with-param name="input" select="$next"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="xsl:include">
					<xsl:attribute name="href">
						<xsl:choose>
							<xsl:when test="string-length($next) &gt; 0">
								<xsl:value-of select="$next"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$input"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>